# Interface LoginWithRedirectDependencies

Dependency injection for OpenIdConnectClient.loginWithRedirect

interface LoginWithRedirectDependencies {
generateParameters: () => Promise<LoginWithRedirectParameters>;
openIdConnectProviderMetadataFetcher: OpenIdConnectProviderMetadataFetcher;
replaceUrl: (url: string | URL) => Promise<never>;
sessionStorage: Storage;
}

##### Index

### Properties

generateParameters
openIdConnectProviderMetadataFetcher
replaceUrl
sessionStorage

## Properties

### `Readonly` generateParameters

generateParameters: () => Promise<LoginWithRedirectParameters>

### `Readonly` openIdConnectProviderMetadataFetcher

openIdConnectProviderMetadataFetcher: OpenIdConnectProviderMetadataFetcher

### `Readonly` replaceUrl

replaceUrl: (url: string | URL) => Promise<never>

### `Readonly` sessionStorage

sessionStorage: Storage